/*******************************************************************************
 * Landscape generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class Landscape extends LandscapeProxy
    native(Terrain)
    notplaceable
    hidecategories(Navigation,Attachment,Physics,Debug,LandscapeProxy);

enum ELandscapeSetupErrors
{
    LSE_None,
    LSE_NoLandscapeInfo,
    LSE_CollsionXY,
    LSE_NoLayerInfo,
    LSE_MAX
};

struct native LandscapeLayerInfo
{
    var() name LayerName;
    var() float Hardness;
    var editoronly bool bNoWeightBlend;
    var() PhysicalMaterial PhysMaterial;
    var editoronly MaterialInstanceConstant ThumbnailMIC;
    var editoronly transient bool bSelected;
    var editoronly transient int DebugColorChannel;
    var editoronly transient string LayerSourceFile;

    structdefaultproperties
    {
        LayerName=None
        Hardness=0.0
        bNoWeightBlend=false
        PhysMaterial=none
        ThumbnailMIC=none
        bSelected=false
        DebugColorChannel=0
        LayerSourceFile=""
    }
};

var deprecated array<deprecated name> LayerNames;
var deprecated array<deprecated LandscapeLayerInfo> LayerInfos;

defaultproperties
{
    bIsProxy=false
}